Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354374 - Upgrade to 389-ds-base >= 1.3.5.5 doesn't install 389-ds-base-snmp
Summary: Upgrade to 389-ds-base >= 1.3.5.5 doesn't install 389-ds-base-snmp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-11 08:02 UTC by Viktor Ashirov
Modified: 2016-11-03 20:43 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.5.10-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:43:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Viktor Ashirov 2016-07-11 08:02:41 UTC
Description of problem:
During upgrade from 389-ds-base version <1.3.5.5 additional package 389-ds-base-snmp is not installed.
This can break existing installation that have SNMP configured. Upgrade also removes /etc/dirsrv/config/ldap-agent.conf, though it backs up it to ldap-agent.conf.rpmsave.

Version-Release number of selected component (if applicable):
389-ds-base-1.3.5.5

How reproducible:
always

Steps to Reproduce:
1. Install 389-ds-base <=1.3.5.4.
2. # which ldap-agent
/usr/sbin/ldap-agent
3. Upgrade to 389-ds-base >1.3.5.4
4. # which ldap-agent

Actual results:
/usr/bin/which: no ldap-agent in (/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/root/bin)


Expected results:
/usr/sbin/ldap-agent


Additional info:
rpm -qa --obsoletes | grep 389-ds-base 
389-ds-base-selinux

Looks like 389-ds-base has incorrect Obsoletes: configured.

Comment 2 Viktor Ashirov 2016-07-12 08:12:12 UTC
On RHEL7.2:
[0 root@qeos-35 ~]# rpm -qa | grep 389
389-ds-base-libs-1.3.4.0-19.el7.x86_64
389-ds-base-1.3.4.0-19.el7.x86_64

Upgrade to RHEL7.3:
[0 root@qeos-35 ~]# yum update 389-ds-base{,-libs} svrcore 
Loaded plugins: product-id, search-disabled-repos, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Resolving Dependencies
--> Running transaction check
---> Package 389-ds-base.x86_64 0:1.3.4.0-19.el7 will be updated
---> Package 389-ds-base.x86_64 0:1.3.4.0-19.el7 will be obsoleted
---> Package 389-ds-base.x86_64 0:1.3.5.10-3.el7 will be obsoleting
---> Package 389-ds-base-libs.x86_64 0:1.3.4.0-19.el7 will be updated
---> Package 389-ds-base-libs.x86_64 0:1.3.5.10-3.el7 will be an update
---> Package 389-ds-base-snmp.x86_64 0:1.3.5.10-3.el7 will be obsoleting
---> Package svrcore.x86_64 0:4.0.4-11.el7 will be updated
---> Package svrcore.x86_64 0:4.1.2-1.el7 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

=========================================================================================================================================
 Package                             Arch                      Version                            Repository                        Size
=========================================================================================================================================
Installing:
 389-ds-base                         x86_64                    1.3.5.10-3.el7                     rhds-rhel73                      1.7 M
     replacing  389-ds-base.x86_64 1.3.4.0-19.el7
 389-ds-base-snmp                    x86_64                    1.3.5.10-3.el7                     rhds-rhel73                      145 k
     replacing  389-ds-base.x86_64 1.3.4.0-19.el7
Updating:
 389-ds-base-libs                    x86_64                    1.3.5.10-3.el7                     rhds-rhel73                      658 k
 svrcore                             x86_64                    4.1.2-1.el7                        rhds-rhel73-2                     18 k

Transaction Summary
=========================================================================================================================================
Install  2 Packages
Upgrade  2 Packages

Total download size: 2.5 M
Is this ok [y/d/N]: y
Downloading packages:
Delta RPMs disabled because /usr/bin/applydeltarpm not installed.
(1/4): 389-ds-base-libs-1.3.5.10-3.el7.x86_64.rpm                                                                 | 658 kB  00:00:05     
(2/4): 389-ds-base-snmp-1.3.5.10-3.el7.x86_64.rpm                                                                 | 145 kB  00:00:00     
(3/4): 389-ds-base-1.3.5.10-3.el7.x86_64.rpm                                                                      | 1.7 MB  00:00:05     
(4/4): svrcore-4.1.2-1.el7.x86_64.rpm                                                                             |  18 kB  00:00:05     
-----------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                    224 kB/s | 2.5 MB  00:00:11     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Updating   : svrcore-4.1.2-1.el7.x86_64                                                                                            1/7 
  Updating   : 389-ds-base-libs-1.3.5.10-3.el7.x86_64                                                                                2/7 
  Installing : 389-ds-base-1.3.5.10-3.el7.x86_64                                                                                     3/7 
  Installing : 389-ds-base-snmp-1.3.5.10-3.el7.x86_64                                                                                4/7 
  Cleanup    : 389-ds-base-1.3.4.0-19.el7.x86_64                                                                                     5/7 
  Cleanup    : 389-ds-base-libs-1.3.4.0-19.el7.x86_64                                                                                6/7 
  Cleanup    : svrcore-4.0.4-11.el7.x86_64                                                                                           7/7 
  Verifying  : 389-ds-base-snmp-1.3.5.10-3.el7.x86_64                                                                                1/7 
  Verifying  : 389-ds-base-1.3.5.10-3.el7.x86_64                                                                                     2/7 
  Verifying  : svrcore-4.1.2-1.el7.x86_64                                                                                            3/7 
  Verifying  : 389-ds-base-libs-1.3.5.10-3.el7.x86_64                                                                                4/7 
  Verifying  : 389-ds-base-1.3.4.0-19.el7.x86_64                                                                                     5/7 
  Verifying  : 389-ds-base-1.3.4.0-19.el7.x86_64                                                                                     6/7 
  Verifying  : svrcore-4.0.4-11.el7.x86_64                                                                                           7/7 
  Verifying  : 389-ds-base-libs-1.3.4.0-19.el7.x86_64                                                                                8/7 

Installed:
  389-ds-base.x86_64 0:1.3.5.10-3.el7                              389-ds-base-snmp.x86_64 0:1.3.5.10-3.el7                             

Updated:
  389-ds-base-libs.x86_64 0:1.3.5.10-3.el7                                  svrcore.x86_64 0:4.1.2-1.el7                                 

Replaced:
  389-ds-base.x86_64 0:1.3.4.0-19.el7                                                                                                    

Complete!
[0 root@qeos-35 ~]# rpm -qa | grep 389
389-ds-base-snmp-1.3.5.10-3.el7.x86_64
389-ds-base-1.3.5.10-3.el7.x86_64
389-ds-base-libs-1.3.5.10-3.el7.x86_64

389-ds-base-snmp was successfully installed on a system with the existing 389-ds-base.
And on a fresh system it needs to be installed separately. 

Marking as VERIFIED.

Comment 4 errata-xmlrpc 2016-11-03 20:43:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.